import { Observable } from 'rxjs/Observable';
import 'rxjs/Rx';
import { TransportContainerService } from '../transport/transport-container.service';
export declare class FileService {
    private transport;
    private commandUtilService;
    constructor(transport: TransportContainerService);
    write(location: string, path: string, file: ArrayBuffer, filePosition?: number): Observable<any>;
    listDir(location: string, path: string): Observable<any>;
    getFileSize(location: string, path: string): Observable<any>;
    getCurrentState(): Observable<FileCurrentStateResponse>;
    delete(location: string, paths: string | string[]): Observable<any>;
    read(location: string, path: string, filePosition: number, length: number, timeoutOverride?: number): Observable<any>;
    private safeStringBinary(binaryData);
    private genericResponse(command);
}
/**
 * FileCurrentStateReponse represents the documented
 * structure of a reponse to a file:getCurrentState command
 */
export interface FileCurrentStateResponse {
    file: {
        command: "getCurrentState";
        statusCode: number;
        state: "deleting" | "idle";
        wait: number;
    };
}
