import { Observable } from 'rxjs/Observable';
import 'rxjs/Rx';
import { LaChannelService } from './la-channel.service';
import { GenericInstrumentService } from '../generic-instrument.service';
import { WaveformService } from '../../../data-types/waveform.service';
import { TransportContainerService } from '../../../transport/transport-container.service';
export declare class LaInstrumentService extends GenericInstrumentService {
    readonly numChans: number;
    readonly chans: Array<LaChannelService>;
    readonly numDataBuffers: number;
    readonly dataBuffer: Array<WaveformService[]>;
    private dataBufferWriteIndex;
    dataBufferReadIndex: number;
    private commandUtilityService;
    rawPacket: ArrayBuffer;
    constructor(_transport: TransportContainerService, _laInstrumentDescriptor: any);
    getCurrentStateJson(chans: number[]): {
        la: {};
    };
    getCurrentState(chans: number[]): Observable<any>;
    setParametersJson(chans: number[], bitmasks: number[], sampleFreqs: number[], bufferSizes: number[], triggerDelays: number[]): {
        "la": {};
    };
    setParametersParse(chan: any, responseObject: any): string;
    setParameters(chans: number[], bitmasks: number[], sampleFreqs: number[], bufferSizes: number[], triggerDelays: number[]): Observable<any>;
    read(chans: number[]): Observable<any>;
}
