var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Injectable } from '@angular/core';
import 'rxjs/Rx';
import { GenericInstrumentService } from '../../generic-instrument.service';
import { TransportContainerService } from '../../../../transport/transport-container.service';
import { LoggerAnalogChannelService } from './logger-analog-channel.service';
import { LoggerCommandService } from '../logger-command.service';
export var LoggerAnalogInstrumentService = (function (_super) {
    __extends(LoggerAnalogInstrumentService, _super);
    function LoggerAnalogInstrumentService(_transport, _loggerInstrumentDescriptor) {
        _super.call(this, _transport, '/');
        this.chans = [];
        this.numChans = 0;
        this.fileFormat = -1;
        this.fileRevision = -1;
        this.loggerCommandService = new LoggerCommandService(this);
        if (_loggerInstrumentDescriptor == undefined) {
            return;
        }
        this.fileFormat = _loggerInstrumentDescriptor.fileFormat;
        this.fileRevision = _loggerInstrumentDescriptor.fileRevision;
        //Populate logger analog supply parameters
        this.numChans = _loggerInstrumentDescriptor.numChans;
        //Populate channels        
        for (var key in _loggerInstrumentDescriptor) {
            if (parseInt(key).toString() === key && !isNaN(parseInt(key))) {
                this.chans.push(new LoggerAnalogChannelService(_loggerInstrumentDescriptor[key]));
            }
        }
    }
    LoggerAnalogInstrumentService.prototype.setParameters = function (chans, maxSampleCounts, gains, vOffsets, sampleFreqs, startDelays, overflows, storageLocations, uris) {
        return this.loggerCommandService.analogSetParameters(chans, maxSampleCounts, gains, vOffsets, sampleFreqs, startDelays, overflows, storageLocations, uris);
    };
    LoggerAnalogInstrumentService.prototype.run = function (instrument, chans) {
        return this.loggerCommandService.run('analog', chans);
    };
    LoggerAnalogInstrumentService.prototype.stop = function (instrument, chans) {
        return this.loggerCommandService.stop('analog', chans);
    };
    LoggerAnalogInstrumentService.prototype.read = function (instrument, chans, startIndices, counts) {
        return this.loggerCommandService.read('analog', chans, startIndices, counts);
    };
    LoggerAnalogInstrumentService.prototype.getCurrentState = function (instrument, chans) {
        return this.loggerCommandService.getCurrentState('analog', chans);
    };
    LoggerAnalogInstrumentService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    LoggerAnalogInstrumentService.ctorParameters = [
        { type: TransportContainerService, },
        null,
    ];
    return LoggerAnalogInstrumentService;
}(GenericInstrumentService));
//# sourceMappingURL=logger-analog-instrument.service.js.map