import { Observable } from 'rxjs/Observable';
import 'rxjs/Rx';
import { GenericInstrumentService } from '../../generic-instrument.service';
export declare class LoggerCommandService {
    private instrumentRef;
    private commandUtilityService;
    constructor(_loggerInstrumentRef: GenericInstrumentService);
    setParametersJson(chans: number[], maxSampleCount: number, sampleFreq: number, startDelay: number, storageLocation: string, logOnBoot: boolean, service: string, apiKey: string, uri: string, averages: number[]): string;
    runParse(chan: any, responseObject: any): string;
    stopParse(chan: any, responseObject: any): string;
    runJson(): {
        "log": {
            "daq": {
                "command": string;
            };
        };
    };
    stopJson(): {
        "log": {
            "daq": {
                "command": string;
            };
        };
    };
    readJson(chans: number[], startIndex: number, count?: number): {
        "log": {
            "daq": {
                "command": string;
                "channels": number[];
                "startIndex": number;
                "count": number;
            };
        };
    };
    getCurrentStateJson(): {
        "log": {
            "daq": {
                "command": string;
            };
        };
    };
    setParameters(chans: number[], maxSampleCount: number, sampleFreq: number, startDelay: number, storageLocation: string, logOnBoot: boolean, service: string, apiKey: string, uri: string, averages: number[]): Observable<any>;
    run(): Observable<any>;
    stop(): Observable<any>;
    read(chans: number[], startIndex: number, count: number): Observable<any>;
    getCurrentState(): Observable<any>;
}
export declare type LoggerInstruments = 'analog' | 'digital' | 'daq';
