import { Observable } from 'rxjs/Observable';
import 'rxjs/Rx';
import { GenericInstrumentService } from '../../generic-instrument.service';
import { TransportContainerService } from '../../../../transport/transport-container.service';
import { LoggerDaqChannelService } from './logger-daq-channel.service';
import { LoggerInstruments } from '../logger-command.service';
export declare class LoggerDaqInstrumentService extends GenericInstrumentService {
    readonly chans: LoggerDaqChannelService[];
    readonly numChans: number;
    readonly fileFormat: number;
    readonly fileRevision: number;
    readonly targets: any;
    private loggerCommandService;
    constructor(_transport: TransportContainerService, _loggerInstrumentDescriptor: any);
    setParameters(chans: number[], maxSampleCount: number, sampleFreq: number, startDelay: number, storageLocation: string, logOnBoot: boolean, service: string, apiKey: string, uri: string, averages: number[], overflows: Array<'stop' | 'circular'>): Observable<any>;
    run(instrument: LoggerInstruments, chans: number[]): Observable<any>;
    stop(): Observable<any>;
    read(instrument: LoggerInstruments, chans: number[], startIndex: number, count: number): Observable<any>;
    getCurrentState(): Observable<any>;
}
