var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Injectable } from '@angular/core';
import 'rxjs/Rx';
import { GenericInstrumentService } from '../../generic-instrument.service';
import { TransportContainerService } from '../../../../transport/transport-container.service';
import { LoggerDaqChannelService } from './logger-daq-channel.service';
import { LoggerCommandService } from './logger-command.service';
export var LoggerDaqInstrumentService = (function (_super) {
    __extends(LoggerDaqInstrumentService, _super);
    function LoggerDaqInstrumentService(_transport, _loggerInstrumentDescriptor) {
        _super.call(this, _transport, '/');
        this.chans = [];
        this.numChans = 0;
        this.fileFormat = -1;
        this.fileRevision = -1;
        this.targets = {};
        this.loggerCommandService = new LoggerCommandService(this);
        if (_loggerInstrumentDescriptor == undefined) {
            return;
        }
        this.fileFormat = _loggerInstrumentDescriptor.fileFormat;
        this.fileRevision = _loggerInstrumentDescriptor.fileRevision;
        this.targets = _loggerInstrumentDescriptor.targets[0];
        //Populate logger supply parameters
        this.numChans = _loggerInstrumentDescriptor.numChans;
        //Populate channels        
        for (var key in _loggerInstrumentDescriptor) {
            if (parseInt(key).toString() === key && !isNaN(parseInt(key))) {
                this.chans.push(new LoggerDaqChannelService(_loggerInstrumentDescriptor[key]));
            }
        }
    }
    LoggerDaqInstrumentService.prototype.setParameters = function (chans, maxSampleCount, sampleFreq, startDelay, storageLocation, logOnBoot, service, apiKey, uri, averages, overflows) {
        return this.loggerCommandService.setParameters(chans, maxSampleCount, sampleFreq, startDelay, storageLocation, logOnBoot, service, apiKey, uri, averages);
    };
    LoggerDaqInstrumentService.prototype.run = function (instrument, chans) {
        return this.loggerCommandService.run();
    };
    LoggerDaqInstrumentService.prototype.stop = function () {
        return this.loggerCommandService.stop();
    };
    LoggerDaqInstrumentService.prototype.read = function (instrument, chans, startIndex, count) {
        return this.loggerCommandService.read(chans, startIndex, count);
    };
    LoggerDaqInstrumentService.prototype.getCurrentState = function () {
        return this.loggerCommandService.getCurrentState();
    };
    LoggerDaqInstrumentService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    LoggerDaqInstrumentService.ctorParameters = [
        { type: TransportContainerService, },
        null,
    ];
    return LoggerDaqInstrumentService;
}(GenericInstrumentService));
//# sourceMappingURL=logger-daq-instrument.service.js.map