import { Observable } from 'rxjs/Observable';
import 'rxjs/Rx';
import { GenericInstrumentService } from '../../generic-instrument.service';
import { TransportContainerService } from '../../../../transport/transport-container.service';
import { LoggerDigitalChannelService } from './logger-digital-channel.service';
import { LoggerInstruments } from '../logger-command.service';
export declare class LoggerDigitalInstrumentService extends GenericInstrumentService {
    readonly chans: LoggerDigitalChannelService[];
    readonly numChans: number;
    readonly fileFormat: number;
    readonly fileRevision: number;
    private loggerCommandService;
    constructor(_transport: TransportContainerService, _loggerInstrumentDescriptor: any);
    setParameters(chans: number[], maxSampleCounts: number[], sampleFreqs: number[], startDelays: number[], overflows: Array<'stop' | 'circular'>, storageLocations: string[], uris: string[], bitMasks: number[]): Observable<any>;
    run(instrument: LoggerInstruments, chans: number[]): Observable<any>;
    stop(instrument: LoggerInstruments, chans: number[]): Observable<any>;
    read(instrument: LoggerInstruments, chans: number[], startIndices: number[], counts: number[]): Observable<any>;
    getCurrentState(instrument: LoggerInstruments, chans: number[]): Observable<any>;
}
