var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Injectable } from '@angular/core';
import 'rxjs/Rx';
import { GenericInstrumentService } from '../../generic-instrument.service';
import { TransportContainerService } from '../../../../transport/transport-container.service';
import { LoggerDigitalChannelService } from './logger-digital-channel.service';
import { LoggerCommandService } from '../logger-command.service';
export var LoggerDigitalInstrumentService = (function (_super) {
    __extends(LoggerDigitalInstrumentService, _super);
    function LoggerDigitalInstrumentService(_transport, _loggerInstrumentDescriptor) {
        _super.call(this, _transport, '/');
        this.chans = [];
        this.numChans = 0;
        this.fileFormat = -1;
        this.fileRevision = -1;
        this.loggerCommandService = new LoggerCommandService(this);
        if (_loggerInstrumentDescriptor == undefined) {
            return;
        }
        this.fileFormat = _loggerInstrumentDescriptor.fileFormat;
        this.fileRevision = _loggerInstrumentDescriptor.fileRevision;
        //Populate logger digital supply parameters
        this.numChans = _loggerInstrumentDescriptor.numChans;
        //Populate channels        
        for (var key in _loggerInstrumentDescriptor) {
            if (key !== 'numChans') {
                this.chans.push(new LoggerDigitalChannelService(_loggerInstrumentDescriptor[key]));
            }
        }
    }
    LoggerDigitalInstrumentService.prototype.setParameters = function (chans, maxSampleCounts, sampleFreqs, startDelays, overflows, storageLocations, uris, bitMasks) {
        return this.loggerCommandService.digitalSetParameters(chans, maxSampleCounts, sampleFreqs, startDelays, overflows, storageLocations, uris, bitMasks);
    };
    LoggerDigitalInstrumentService.prototype.run = function (instrument, chans) {
        return this.loggerCommandService.run('digital', chans);
    };
    LoggerDigitalInstrumentService.prototype.stop = function (instrument, chans) {
        return this.loggerCommandService.stop('digital', chans);
    };
    LoggerDigitalInstrumentService.prototype.read = function (instrument, chans, startIndices, counts) {
        return this.loggerCommandService.read('digital', chans, startIndices, counts);
    };
    LoggerDigitalInstrumentService.prototype.getCurrentState = function (instrument, chans) {
        return this.loggerCommandService.getCurrentState('digital', chans);
    };
    LoggerDigitalInstrumentService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    LoggerDigitalInstrumentService.ctorParameters = [
        { type: TransportContainerService, },
        null,
    ];
    return LoggerDigitalInstrumentService;
}(GenericInstrumentService));
//# sourceMappingURL=logger-digital-instrument.service.js.map