import { Observable } from 'rxjs/Observable';
import 'rxjs/Rx';
import { GenericInstrumentService } from '../generic-instrument.service';
export declare class LoggerCommandService {
    private instrumentRef;
    private commandUtilityService;
    constructor(_loggerInstrumentRef: GenericInstrumentService);
    analogSetParametersJson(chans: number[], maxSampleCounts: number[], gains: number[], vOffsets: number[], sampleFreqs: number[], startDelays: number[], overflows: Array<'stop' | 'circular'>, storageLocations: string[], uris: string[]): {
        "log": {
            "analog": {};
        };
    };
    daqSetParametersJson(chans: number[], maxSampleCount: number, sampleFreq: number, startDelay: number, storageLocation: string, uri: string, averages: number[]): string;
    analogSetParametersParse(chan: any, responseObject: any): string;
    digitalSetParametersParse(chan: any, responseObject: any): string;
    runParse(chan: any, responseObject: any): string;
    stopParse(chan: any, responseObject: any): string;
    digitalSetParametersJson(chans: number[], maxSampleCounts: number[], sampleFreqs: number[], startDelays: number[], overflows: Array<'stop' | 'circular'>, storageLocations: string[], uris: string[], bitMasks: number[]): {
        "log": {
            "digital": {};
        };
    };
    runJson(instrument: LoggerInstruments, chans: number[]): {
        "log": {};
    };
    stopJson(instrument: LoggerInstruments, chans: number[]): {
        "log": {};
    };
    readJson(instrument: LoggerInstruments, chans: number[], startIndices: number[], counts: number[]): {
        "log": {};
    };
    getCurrentStateJson(instrument: LoggerInstruments, chans: number[]): {
        "log": {};
    };
    analogSetParameters(chans: number[], maxSampleCounts: number[], gains: number[], vOffsets: number[], sampleFreqs: number[], startDelays: number[], overflows: Array<'stop' | 'circular'>, storageLocations: string[], uris: string[]): Observable<any>;
    daqSetParameters(chans: number[], maxSampleCount: number, sampleFreq: number, startDelay: number, storageLocation: string, uri: string, averages: number[]): Observable<any>;
    digitalSetParameters(chans: number[], maxSampleCounts: number[], sampleFreqs: number[], startDelays: number[], overflows: Array<'stop' | 'circular'>, storageLocations: string[], uris: string[], bitMasks: number[]): Observable<any>;
    run(instrument: LoggerInstruments, chans: number[]): Observable<any>;
    stop(instrument: LoggerInstruments, chans: number[]): Observable<any>;
    read(instrument: LoggerInstruments, chans: number[], startIndices: number[], counts: number[]): Observable<any>;
    getCurrentState(instrument: LoggerInstruments, chans: number[]): Observable<any>;
}
export declare type LoggerInstruments = 'analog' | 'digital' | 'daq';
