import { SimulatedDeviceHelperService } from '../simulated-device-helper.service';
export declare class SimulatedAnalogLoggerService {
    private simulatedDeviceService;
    private offsets;
    private gains;
    private sampleFreqs;
    private delays;
    private maxSampleCounts;
    private storageLocations;
    private uris;
    private states;
    private startIndices;
    private timeOfLastRead;
    constructor(_simulatedDeviceService: SimulatedDeviceHelperService);
    getCurrentState(chan: number): {
        command: string;
        statusCode: number;
        state: string;
        stopReason: string;
        startIndex: number;
        actualCount: number;
        maxSampleCount: number;
        actualGain: number;
        actualVOffset: number;
        actualSampleFreq: number;
        actualStartDelay: number;
        overflow: string;
        storageLocation: string;
        uri: string;
        wait: number;
    };
    setParameters(chan: number, commandObject: any): {
        command: string;
        statusCode: number;
        maxSampleCount: any;
        actualGain: any;
        actualVOffset: any;
        actualSampleFreq: any;
        actualStartDelay: any;
        storageLocation: any;
        uri: any;
        wait: number;
    };
    run(chan: number): {
        command: string;
        statusCode: number;
        wait: number;
    };
    stop(chan: number): {
        command: string;
        statusCode: number;
        wait: number;
    };
    private drawSine(awgSettings, chan);
    drawSquare(awgSettings: any, chan: any): {
        command: string;
        statusCode: number;
        binaryOffset: number;
        binaryLength: number;
        actualCount: number;
        startIndex: number;
        maxSampleCount: number;
        actualGain: number;
        actualVOffset: any;
        actualSampleFreq: number;
        actualStartDelay: number;
        storageLocation: string;
        uri: string;
        y: Int16Array;
        wait: number;
    };
    drawTriangle(awgSettings: any, chan: any): {
        command: string;
        statusCode: number;
        binaryOffset: number;
        binaryLength: number;
        actualCount: number;
        startIndex: number;
        maxSampleCount: number;
        actualGain: number;
        actualVOffset: any;
        actualSampleFreq: number;
        actualStartDelay: number;
        storageLocation: string;
        uri: string;
        y: Int16Array;
        wait: number;
    };
    drawSawtooth(awgSettings: any, chan: any): {
        command: string;
        statusCode: number;
        binaryOffset: number;
        binaryLength: number;
        actualCount: number;
        startIndex: number;
        maxSampleCount: number;
        actualGain: number;
        actualVOffset: any;
        actualSampleFreq: number;
        actualStartDelay: number;
        storageLocation: string;
        uri: string;
        y: Int16Array;
        wait: number;
    };
    drawDc(awgSettings: any, chan: any): {
        command: string;
        statusCode: number;
        binaryOffset: number;
        binaryLength: number;
        actualCount: number;
        startIndex: number;
        maxSampleCount: number;
        actualGain: number;
        actualVOffset: any;
        actualSampleFreq: number;
        actualStartDelay: number;
        storageLocation: string;
        uri: string;
        y: Int16Array;
        wait: number;
    };
    private drawDefault(chan);
    read(chan: any): any;
}
