import { SimulatedDeviceHelperService } from '../simulated-device-helper.service';
export declare class SimulatedAwgService {
    private simulatedDeviceService;
    private signalTypes;
    private signalFreqs;
    private vpps;
    private vOffsets;
    private state;
    constructor(_simulatedDeviceService: SimulatedDeviceHelperService);
    getCurrentState(chan: any): {
        command: string;
        actualSignalFreq: number;
        actualVOffset: number;
        actualVpp: number;
        state: "idle" | "stopped" | "running";
        waveType: string;
    };
    setArbitraryWaveform(chan: any): {
        statusCode: number;
        wait: number;
    };
    setRegularWaveform(chan: any, commandObject: any): {
        "command": string;
        "statusCode": number;
        "actualSignalFreq": any;
        "actualVpp": any;
        "actualVOffset": any;
        "wait": number;
    };
    run(chan: any): {
        "command": string;
        "statusCode": number;
        "wait": number;
    };
    stop(chan: any): {
        "command": string;
        "statusCode": number;
        "wait": number;
    };
}
