import { Injectable } from '@angular/core';
import { SimulatedDeviceHelperService } from '../simulated-device-helper.service';
export var SimulatedAwgService = (function () {
    function SimulatedAwgService(_simulatedDeviceService) {
        this.signalTypes = ['none', 'none', 'none', 'none', 'none', 'none', 'none', 'none'];
        this.signalFreqs = [0, 0, 0, 0, 0, 0, 0, 0];
        this.vpps = [0, 0, 0, 0, 0, 0, 0, 0];
        this.vOffsets = [0, 0, 0, 0, 0, 0, 0, 0];
        this.state = 'idle';
        this.simulatedDeviceService = _simulatedDeviceService;
    }
    SimulatedAwgService.prototype.getCurrentState = function (chan) {
        return {
            command: "getCurrentState",
            actualSignalFreq: this.signalFreqs[chan],
            actualVOffset: this.vOffsets[chan],
            actualVpp: this.vpps[chan],
            state: this.state,
            waveType: this.signalTypes[chan]
        };
    };
    SimulatedAwgService.prototype.setArbitraryWaveform = function (chan) {
        return {
            statusCode: 0,
            wait: 0
        };
    };
    SimulatedAwgService.prototype.setRegularWaveform = function (chan, commandObject) {
        this.signalTypes[chan] = commandObject.signalType;
        this.signalFreqs[chan] = commandObject.signalFreq;
        this.vpps[chan] = commandObject.vpp;
        this.vOffsets[chan] = commandObject.vOffset;
        this.simulatedDeviceService.setAwgSettings(commandObject, chan);
        return {
            "command": "setRegularWaveform",
            "statusCode": 0,
            "actualSignalFreq": commandObject.signalFreq,
            "actualVpp": commandObject.vpp,
            "actualVOffset": commandObject.vOffset,
            "wait": 0
        };
    };
    SimulatedAwgService.prototype.run = function (chan) {
        this.simulatedDeviceService.setTriggerArmed(true);
        this.state = 'running';
        return {
            "command": "run",
            "statusCode": 0,
            "wait": 0
        };
    };
    SimulatedAwgService.prototype.stop = function (chan) {
        this.simulatedDeviceService.setTriggerArmed(false);
        this.state = 'stopped';
        return {
            "command": "stop",
            "statusCode": 0,
            "wait": 0
        };
    };
    SimulatedAwgService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    SimulatedAwgService.ctorParameters = [
        { type: SimulatedDeviceHelperService, },
    ];
    return SimulatedAwgService;
}());
//# sourceMappingURL=simulated-awg.service.js.map