import { SimulatedDeviceHelperService } from '../simulated-device-helper.service';
export declare class SimulatedDaqLoggerService {
    private simulatedDeviceService;
    private sampleFreq;
    private delay;
    private maxSampleCount;
    private averages;
    private storageLocation;
    private uri;
    private state;
    private startIndex;
    private timeOfLastRead;
    private selectedChannels;
    constructor(_simulatedDeviceService: SimulatedDeviceHelperService);
    getCurrentState(): {
        command: string;
        statusCode: number;
        state: string;
        stopReason: string;
        startIndex: number;
        actualCount: number;
        maxSampleCount: number;
        actualSampleFreq: number;
        actualStartDelay: number;
        storageLocation: string;
        uri: string;
        channels: any[];
        wait: number;
    };
    setParameters(commandObject: any): {
        command: string;
        statusCode: number;
        maxSampleCount: any;
        actualSampleFreq: any;
        actualStartDelay: any;
        storageLocation: any;
        uri: any;
        channels: any;
        wait: number;
    };
    run(): {
        command: string;
        statusCode: number;
        wait: number;
    };
    stop(): {
        command: string;
        statusCode: number;
        wait: number;
    };
    private drawSine(awgSettings, channels, numSamples, dt);
    drawSquare(awgSettings: any, channels: any, numSamples: any, dt: any): Int16Array;
    drawTriangle(awgSettings: any, channels: any, numSamples: any, dt: any): Int16Array;
    drawSawtooth(awgSettings: any, channels: any, numSamples: any, dt: any): Int16Array;
    drawDc(vOffset: any, channels: any, numSamples: any): Int16Array;
    private drawDefault(channels, numSamples);
    read(commandObject: any): {
        command: string;
        statusCode: number;
        channels: any;
        binaryOffset: number;
        binaryLength: any;
        actualCount: any;
        startIndex: number;
        maxSampleCount: number;
        actualGain: number;
        actualVOffset: number;
        actualSampleFreq: number;
        actualStartDelay: number;
        overflow: string;
        y: any;
        wait: number;
    };
}
