import { Observable } from 'rxjs/Observable';
import 'rxjs/Rx';
import { GenericTransportService } from './generic-transport.service';
import { SimulatedOpenScopeService } from '../simulated-device/simulated-openscope.service';
import { SimulatedOpenLoggerService } from '../simulated-device/simulated-openlogger.service';
export declare class LocalTransportService extends GenericTransportService {
    streamState: {
        mode: string;
        remainingSamples: number;
    };
    simulatedDevice: SimulatedOpenScopeService | SimulatedOpenLoggerService;
    constructor(deviceEnumeration: any);
    getUri(): string;
    setTimeout(newTimeout: number): void;
    getRequest(requestUrl: string, timeout?: number): any;
    writeRead(endpoint: string, sendData: any, dataType: string): Observable<any>;
    writeReadHelper(rootUri: string, endpoint: string, sendData: any, dataType: string): Observable<any>;
    streamFrom(endpoint: string, sendData: any, dataType: string, delay?: number): Observable<any>;
    stopStream(): void;
    getType(): string;
}
